What versions of Python Twisted work with PubNub?

Versions 11.1.0 and 12.0.0 of Twisted are known to work. Problems with making Twisted work with PubNub are typically due to missing libraries from the Twisted installation. The recommended solution is to use  pip or easy_install or download source and reinstall from scratch to resolve all dependencies.

Refer to our Python Twisted github repo for more details.